Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util
Class SegmentedHashMap.ContainsValueAction

`java.lang.Object
com.tangosol.util.SegmentedHashMap.EntryActionAdapter
com.tangosol.util.SegmentedHashMap.ContainsValueAction`

All Implemented Interfaces:
  SegmentedHashMap.EntryAction, SegmentedHashMap.IterableEntryAction

Enclosing class:
  SegmentedHashMap

      protected static class SegmentedHashMap.ContainsValueAction

extends SegmentedHashMap.EntryActionAdapter

Action support for containsValue(). The action performs a lookup by value and is not required to run while holding any segment-locks.

The context object for a ContainsValueAction is an opaque context created by `instantiateContext`. The result of invoking a ContainsValueAction is `Boolean.TRUE` if the value is found in the map or `Boolean.FALSE` if the value is not found in the map.

Constructor Summary
`protected` | `SegmentedHashMap.ContainsValueAction()`

Method Summary
`java.lang.Object` | `instantiateContext(java.lang.Object oValue)` Instantiate a context appropriate for applying ContainsValueAction to lookup oValue in the map.
`java.lang.Object` | `invokeFound(java.lang.Object oKey, java.lang.Object oContext, SegmentedHashMap.Entry[] aeBucket, int nBucket, SegmentedHashMap.Entry entryPrev, SegmentedHashMap.Entry entryCur)` Invoke some action, holding the segment lock, when a matching Entry is found.
`boolean` | `isComplete(java.lang.Object oContext)` Return true iff further key evaluations for the given context are known to be unnecessary.
`boolean` | `isFound(java.lang.Object oContext)`

Methods inherited from class com.tangosol.util.SegmentedHashMap.EntryActionAdapter
`invokeNotFound`

Constructor Detail

### SegmentedHashMap.ContainsValueAction

    protected SegmentedHashMap.ContainsValueAction()

Method Detail

### invokeFound

    public java.lang.Object invokeFound(java.lang.Object oKey,
                                        java.lang.Object oContext,
                                        SegmentedHashMap.Entry[] aeBucket,
                                        int nBucket,
                                        SegmentedHashMap.Entry entryPrev,
                                        SegmentedHashMap.Entry entryCur)

  Invoke some action, holding the segment lock, when a matching Entry is found.
  Specified by:
    `invokeFound` in interface `SegmentedHashMap.EntryAction`
  Overrides:
    `invokeFound` in class `SegmentedHashMap.EntryActionAdapter`
  Parameters:
    `oKey` - the key to which the action is applied
    `oContext` - opaque context specific to the action
    `aeBucket` - the bucket array
    `nBucket` - the index into the bucket array
    `entryPrev` - the Entry object immediately preceding the Entry that was found, or null
    `entryCur` - the Entry object that was found
  Returns:
    an opaque result value

### isComplete

    public boolean isComplete(java.lang.Object oContext)

  Return true iff further key evaluations for the given context are known to be unnecessary.
  Specified by:
    `isComplete` in interface `SegmentedHashMap.IterableEntryAction`
  Overrides:
    `isComplete` in class `SegmentedHashMap.EntryActionAdapter`
  Parameters:
    `oContext` - the action context
  Returns:
    true iff further evaluations are unnecessary

### isFound

    public boolean isFound(java.lang.Object oContext)

  Returns:
    true iff the value was found

### instantiateContext

    public java.lang.Object instantiateContext(java.lang.Object oValue)

  Instantiate a context appropriate for applying ContainsValueAction to lookup oValue in the map.

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.